Bio::MapIO::fpc(3)

NAME
Bio::MapIO::fpc - A FPC Map reader

SYNOPSIS
# do not use this object directly it is accessed through the Bio::MapIO system

    use Bio::MapIO;

    # -format  : specifies the format of the file format is "fpc",
    # -file    : specifies the name of the .fpc file
    # -readcor : boolean argument, indicating if .cor is to be read
                 or not. It looks for the .cor file in the same path
                 as .fpc file.
                 0 : doesn't read .cor file
                 1 : reads the .cor file
                 [default 0]
    # -verbose : indicates the process of loading of fpc file
    my $mapio = new Bio::MapIO(-format  => "fpc",
                               -file    => "rice.fpc",
                               -readcor => 0,
                               -verbose => 0);

    my $map = $mapio->next_map();

    foreach my $marker ( $map->each_markerid() ) {
          # loop through the markers associated with the map
    }

DESCRIPTION
This object contains code for parsing and processing FPC files and creating Bio::Map::Physical object from it.

For faster access and better optimization, the data is stored internally in hashes. The corresponding objects are created on request.

We handle reading of the FPC ourselves, since MapIO module of Bioperl adds too much overhead.

Initializer

  _initialize
 Title   : _initialize
 Usage   : called implicitly
 Function: calls the SUPER::_initialize
 Returns : nothing
 Args    : species, readcor

Access Methods
These methods let you get and set the member variables

  next_map
 Title   : next_map
 Usage   : my $fpcmap = $mapio->next_map();
 Function: gets the fpcmap from MapIO
 Returns : object of type L<Bio::Map::MapI>
 Args    : none

  write_map
 Title   : write_map
 Usage   : $mapio->write_map($map);
 Function: Write a map out
 Returns : none
 Args    : Bio::Map::MapI

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Gaurav Gupta
Email gaurav@genome.arizona.edu

PROJECT LEADERS
Jamie Hatfield jamie@genome.arizona.edu

Dr. Cari Soderlund cari@genome.arizona.edu

PROJECT DESCRIPTION
The project was done in Arizona Genomics Computational Laboratory (AGCoL) at University of Arizona.

This work was funded by USDA-IFAFS grant #11180 titled "Web Resources for the Computation and Display of Physical Mapping Data".

For more information on this project, please refer:
  http://www.genome.arizona.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _